#!/bin/bash

RUN_DIR=`pwd`
cd $( dirname $0 )
WORK_DIR=`pwd`

export CC="${TOOLCHAIN_PREFIX}gcc"
export CPP="${TOOLCHAIN_PREFIX}cpp"
export CXX="${TOOLCHAIN_PREFIX}g++"

export AR="${TOOLCHAIN_PREFIX}ar"
export RANLIB="${TOOLCHAIN_PREFIX}ranlib"
export AS="${TOOLCHAIN_PREFIX}as"
export LD="${TOOLCHAIN_PREFIX}ld"
export NM="${TOOLCHAIN_PREFIX}nm"

export CFLAGS="-march=armv7-a -O3  -mfpu=neon -ftree-vectorize -mfloat-abi=hard -ffast-math -fsingle-precision-constant -funsafe-math-optimizations -mvectorize-with-neon-quad -fmodulo-sched -fmodulo-sched-allow-regmoves -mthumb -mthumb-interwork"
export CCASFLAGS="-march=armv7-a -fno-tree-vectorize -mthumb-interwork -mfloat-abi=hard -mfpu=neon "

#  --with-mpmtransport(=DIR)      Searching for headers in DIR/include
#  --with-mpmtransport-libdir=DIR Search for MPMTRANSPORT library in DIR

./configure --prefix="/opt/ti-openmpi" --with-mpmtransport="$LINUX_DEVKIT_ROOT/usr" --with-mpmtransport-libdir="$LINUX_DEVKIT_ROOT/usr/lib" --disable-mpi-fortran --build=i686-pc-linux-gnu --host=arm-none-linux-gnueabihf "$@" 2>&1 | tee c.txt

make -C ./ompi/mca/btl/srio/pktfwdK2H all

#make
#sudo make install DESTDIR=${NFS_TARGET_ROOTDIR}

